Name:           kdesdk
Version:        4.6.5
Release:        2%{?dist}
Summary:        The KDE Software Development Kit (SDK)

Group:          User Interface/Desktops
# FIXME/TODO: Check license
License:        GPLv2
URL:            http://www.kde.org/
Source0:        ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

## upstream patches

# FIXME: Missing dependency on jpackage-utils and java?
BuildRequires:  antlr-static antlr-tool jpackage-utils java >= 1.6
BuildRequires:  apr-devel
# for libiberty (used by kmtrace for cp_demangle)
BuildRequires:  binutils-devel binutils-static
BuildRequires:  boost-devel
BuildRequires:  flex
BuildRequires:  hunspell-devel
BuildRequires:  kdebase-devel >= %{version}
BuildRequires:  kdepimlibs-devel >= %{version}
BuildRequires:  libical-devel
BuildRequires:  libxslt-devel
BuildRequires:  qca2-devel
BuildRequires:  subversion-devel

Requires: kdepimlibs%{?_isa} >= %{version}
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
# lokalize
Requires: kross(python)
# optimizegraphics
Requires: advancecomp
Requires: optipng

Requires: %{name}-utils = %{version}-%{release}

Obsoletes: kaider < 4.1    
Provides:  kaider = %{version}-%{release}
Provides:  kate = %{version}-%{release}
Provides:  okteta = %{version}-%{release}

# okteta moved kdeutils -> kdesdk
Conflicts: kdeutils < 6:4.5.80

%description
A collection of applications and tools used by developers, including:
* cervisia: a CVS frontend
* kate: advanced text editor
* kcachegrind: a browser for data produced by profiling tools (e.g. cachegrind)
* kompare: diff tool
* kuiviewer: displays designer's UI files
* lokalize: computer-aided translation system focusing on productivity and performance
* okteta: binary/hex editor
* umbrello: UML modeller and UML diagram tool

%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries
Requires: %{name} = %{version}-%{release}
%description libs
%{summary}.

%package devel
Summary:  Developer files for %{name}
Group:    Development/Libraries
# oketa and it's -devel stuff moved here 
Obsoletes: kdeutils-devel < 6:4.5.80
Provides: kate-devel = %{version}-%{release}
Provides: okteta-devel = %{version}-%{release}
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kdepimlibs-devel
%description devel
Files for developing applications using %{name}.

%package utils
Summary: Text utilities from %{name}
Group:   Applications/Text
%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}
%description utils
%{summary}, including:
po2xml
split2po
swappo
xml2pot


%prep
%setup -q -n kdesdk-%{version}%{?alphatag}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make -C %{_target_platform}/doc
make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# unpackaged files
# This one fits better into krazy2 (it requires krazy2), and the version in
# kdesdk does not understand lib64.
rm -f %{buildroot}%{_kde4_bindir}/krazy-licensecheck

# move devel symlinks
mkdir -p %{buildroot}%{_kde4_libdir}/kde4/devel
pushd %{buildroot}%{_kde4_libdir}
for i in lib*.so
do
  case "$i" in
    libkateinterfaces.so)
      linktarget=`readlink "$i"`
      rm -f "$i"
      ln -sf "../../$linktarget" "kde4/devel/$i"
      ;;
  esac
done
popd


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
touch --no-create %{_kde4_iconsdir}/locolor &> /dev/null ||:
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kde4_iconsdir}/locolor &> /dev/null ||:
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:


%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  touch --no-create %{_kde4_iconsdir}/locolor &> /dev/null ||:
  touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/locolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%post utils -p /sbin/ldconfig

%postun utils -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB COPYING.DOC README
%{_kde4_bindir}/*
# -utils
%exclude %{_kde4_bindir}/po2xml
%exclude %{_kde4_bindir}/split2po
%exclude %{_kde4_bindir}/swappo
%exclude %{_kde4_bindir}/xml2pot
%{_kde4_configdir}/*
%{_kde4_appsdir}/cervisia/
%{_kde4_appsdir}/cervisiapart/
%{_kde4_appsdir}/kabc/*
%{_kde4_appsdir}/katepart/
%{_kde4_appsdir}/kate/
%{_kde4_appsdir}/katexmltools/
%{_kde4_appsdir}/kcachegrind/
%{_kde4_appsdir}/kconf_update/*
%{_kde4_appsdir}/kio_perldoc/
%{_kde4_appsdir}/kdevappwizard/
%{_kde4_appsdir}/kmtrace/
%{_kde4_appsdir}/kompare/
%{_kde4_appsdir}/kpartloader/
%{_kde4_appsdir}/ktexteditor_snippets/
%{_kde4_appsdir}/kuiviewer/
%{_kde4_appsdir}/kuiviewerpart/
%{_kde4_appsdir}/lokalize/
%{_kde4_appsdir}/okteta/
%{_kde4_appsdir}/oktetapart/
%{_kde4_appsdir}/umbrello/
%{_kde4_datadir}/applications/kde4/*.desktop
%{_kde4_datadir}/config.kcfg/*
%{_datadir}/dbus-1/interfaces/*.xml
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/kde4/servicetypes/*.desktop
%{_kde4_datadir}/mime/packages/ktesnippets.xml
%{_kde4_datadir}/mime/packages/okteta.xml
%{_kde4_docdir}/HTML/en/cervisia/
%{_kde4_docdir}/HTML/en/kapptemplate/
%{_kde4_docdir}/HTML/en/kate/
%{_kde4_docdir}/HTML/en/kcachegrind/
%{_kde4_docdir}/HTML/en/kdesrc-build/
%{_kde4_docdir}/HTML/en/kompare/
%{_kde4_docdir}/HTML/en/lokalize/
%{_kde4_docdir}/HTML/en/okteta/
%{_kde4_docdir}/HTML/en/umbrello/
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_iconsdir}/locolor/*/*/*
%{_kde4_iconsdir}/oxygen/*/*/*
%{_mandir}/man1/*
%{_kde4_libdir}/libkdeinit4_*.so
%{_kde4_libdir}/libkomparedialogpages.so
%{_kde4_libdir}/libkomparediff2.so
%{_kde4_libdir}/strigi/*.so
%{_kde4_datadir}/strigi/fieldproperties/
%{_kde4_libdir}/kde4/*.so

%files libs
%defattr(-,root,root,-)
%{_kde4_libdir}/lib*.so.*
%{_kde4_libdir}/kde4/plugins/designer/oktetadesignerplugin.so

%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/KDE/Kasten/
%{_kde4_includedir}/KDE/Okteta/
%{_kde4_includedir}/kasten/
%{_kde4_includedir}/kate/
%{_kde4_includedir}/kate_export.h
%{_kde4_includedir}/kompare/
%{_kde4_includedir}/kprofilemethod.h
%{_kde4_includedir}/ktexteditor_codesnippets_core/
%{_kde4_includedir}/ktrace.h
%{_kde4_includedir}/okteta/
%{_kde4_libdir}/kde4/devel/libkateinterfaces.so
%{_kde4_libdir}/libkasten*.so
%{_kde4_libdir}/libkompareinterface.so
%{_kde4_libdir}/libktexteditor_codesnippets_core.so
%{_kde4_libdir}/libktrace.so
%{_kde4_libdir}/libokteta*.so

%files utils
%defattr(-,root,root,-)
%{_kde4_bindir}/po2xml
%{_kde4_bindir}/split2po
%{_kde4_bindir}/swappo
%{_kde4_bindir}/xml2pot


%changelog
* Fri Jul 22 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.5-2
- Provides: okteta
- -devel: Provides: kate-devel okteta-devel 

* Fri Jul 01 2011 Jaroslav Reznik <jreznik@redhat.com> - 4.6.5-1
- 4.6.5

* Mon Jun 06 2011 Than Ngo <than@redhat.com> - 4.6.4-1
- 4.6.4

* Tue May 03 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.3-2
- Unowned /usr/share/kde4/apps/{cervisiapart,kcachegrind,kuiviewer,kuiviewerpart,lokalize} dirs (#645067)

* Thu Apr 28 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.3-1
- 4.6.3

* Wed Apr 06 2011 Than Ngo <than@redhat.com> - 4.6.2-1
- 4.6.2

* Sun Feb 27 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.1-1
- 4.6.1

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb 02 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.0-2
- -devel: Obsoletes: kdeutils-devel 

* Fri Jan 21 2011 Jaroslav Reznik <jreznik@redhat.com> 4.6.0-1
- 4.6.0

* Thu Jan 06 2011 Jaroslav Reznik <jreznik@redhat.com> 4.5.95-1
- 4.5.95 (4.6rc2)

* Wed Dec 22 2010 Rex Dieter <rdieter@fedoraproject.org> 4.5.90-1
- 4.5.90 (4.6rc1)

* Wed Dec 08 2010 Thomas Janssen <thomasj@fedoraproject.org> 4.5.85-2
- respun upstream tarballs

* Sat Dec 04 2010 Thomas Janssen <thomasj@fedoraproject.org> 4.5.85-1
- 4.5.85 (4.6beta2)

* Sun Nov 21 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5.80-1
- 4.5.80 (4.6beta1)
- drop kbugbuster, add okteta

* Fri Nov 05 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.5.3-3
- fix Kompare "malformed diff" false positives (kde#249976)

* Fri Nov 05 2010 Thomas Janssen <thomasj@fedoraproject.org> 4.5.3-2
- rebuild for new libxml2

* Sun Oct 31 2010 Than Ngo <than@redhat.com> - 4.5.3-1
- 4.5.3

* Sat Oct 02 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5.2-1
- 4.5.2

* Sat Aug 28 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5.1-1
- 4.5.1

* Tue Aug 03 2010 Than Ngo <than@redhat.com> - 4.5.0-1
- 4.5.0

* Sat Jul 25 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.95-1
- 4.5 RC3 (4.4.95)

* Thu Jul 08 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.4.92-2
- upstream fix for Kompare failing to open temp file when saving (kde#242192)

* Wed Jul 07 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.92-1
- 4.5 RC2 (4.4.92)

* Fri Jun 25 2010 Jaroslav Reznik <jreznik@redhat.com> - 4.4.90-1
- 4.5 RC1 (4.4.90)

* Mon Jun 07 2010 Jaroslav Reznik <jreznik@redhat.com> - 4.4.85-1
- 4.5 Beta 2 (4.4.85)
- Requires: advancecomp, optipng (for optimizegraphics) 

* Fri May 21 2010 Jaroslav Reznik <jreznik@redhat.com> - 4.4.80-1
- 4.5 Beta 1 (4.4.80)

* Fri Apr 30 2010 Jaroslav Reznik <jreznik@redhat.com> - 4.4.3-1
- 4.4.3

* Thu Apr 08 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.2-2
- -devel: omit (dup'd) libkdeinit4_* stuff
- -utils: add shlib scriptlet

* Mon Mar 29 2010 Lukas Tinkl <ltinkl@redhat.com> - 4.4.2-1
- 4.4.2

* Sat Feb 27 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.1-1
- 4.4.1

* Fri Feb 26 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.4.0-4
- also remove hardcoded setCheckSpellingEnabled(true) calls (kde#228587)

* Fri Feb 26 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.4.0-3
- fix Cervisia not to unconditionally enable auto spell checking (kde#228587)
- BR binutils-static (F13+)

* Wed Feb 24 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.0-2
- -utils: Requires: qt4 dep
- -libs: Requires: %%name ...

* Fri Feb 05 2010 Than Ngo <than@redhat.com> - 4.4.0-1
- 4.4.0

* Sun Jan 31 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.98-1
- KDE 4.3.98 (4.4rc3)

* Thu Jan 21 2010 Lukas Tinkl <ltinkl@redhat.com> - 4.3.95-1
- KDE 4.3.95 (4.4rc2)

* Sat Jan 16 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.90-2
- rebuild (boost)

* Wed Jan 06 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.90-1
- kde-4.3.90 (4.4rc1)

* Fri Dec 18 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.85-1
- kde-4.3.85 (4.4beta2)

* Tue Dec  1 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.3.80-1
- KDE 4.4 beta1 (4.3.80)

* Tue Nov 24 2009 Ben Boeckel <MathStuf@gmail.com> - 4.3.75-0.2.svn1048496
- Add BR on hunspell for lokalize

* Sun Nov 22 2009 Ben Boeckel <MathStuf@gmail.com> - 4.3.75-0.1.svn1048496
- Update to 4.3.75 snapshot

* Sat Oct 31 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.3-1
- 4.3.3

* Sun Oct 11 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.3.2-2
- Fix Kompare diff parsing regression (due to a typo in a bugfix)

* Mon Oct 05 2009 Than Ngo <than@redhat.com> - 4.3.2-1
- 4.3.2

* Thu Sep 24 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.1-2
- Requires: kross(python) (#523076)

* Fri Aug 28 2009 Than Ngo <than@redhat.com> - 4.3.1-1
- 4.3.1

* Thu Jul 30 2009 Than Ngo <than@redhat.com> - 4.3.0-1
- 4.3.0

* Wed Jul 22 2009 Than Ngo <than@redhat.com> - 4.2.98-1
- 4.3rc3

* Sun Jul 12 2009 Than Ngo <than@redhat.com> - 4.2.96-1
- 4.3rc2

* Fri Jun 26 2009 Than Ngo <than@redhat.com> - 4.2.95-1
- 4.3rc1

* Thu Jun 04 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.90-1
- KDE-4.3 beta2 (4.2.90)

* Thu May 14 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.2.85-1
- KDE 4.3 beta 1

* Wed Apr 01 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.2-2
- optimize scriptlets

* Tue Mar 31 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.2.2-1
- KDE 4.2.2

* Fri Feb 27 2009 Than Ngo <than@redhat.com> - 4.2.1-1
- 4.2.1
- blockquote patch (#487624)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.2.0-2
- fix Kompare crash with Qt 4.5 (kde#182792)
- fix build with GCC 4.4

* Thu Jan 22 2009 Than Ngo <than@redhat.com> - 4.2.0-1
- 4.2.0

* Mon Jan 19 2009 Than Ngo <than@redhat.com> - 4.1.96-4
- apply patch to fix  build against Boost 1.37.0 

* Tue Jan 13 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.96-3
- F11+: add workaround to fix build against Boost 1.37.0

* Fri Jan 09 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.96-2
- don't ship krazy-licensecheck, should be in krazy2

* Wed Jan 07 2009 Than Ngo <than@redhat.com> - 4.1.96-1
- 4.2rc1

* Fri Dec 12 2008 Than Ngo <than@redhat.com> 4.1.85-1
- 4.2beta2

* Mon Dec 01 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.80-3
- BR plasma-devel instead of kdebase-workspace-devel
- don't require kdebase-workspace
- rebase Lokalize quit menu patch
- BR libical-devel

* Thu Nov 20 2008 Than Ngo <than@redhat.com> 4.1.80-2
- merged

* Thu Nov 20 2008 Lorenzo Villani <lvillani@binaryhelix.net> 4.1.80-1
- 4.1.80
- BR cmake >= 2.6.2
- make install/fast
- kdesdk-4.1.2-kdecore.patch upstreamed, dropped

* Wed Nov 12 2008 Than Ngo <than@redhat.com> 4.1.3-1
- 4.1.3

* Wed Oct 22 2008 Than Ngo <than@redhat.com> 4.1.2-4
- check if the document has been saved, if not ask the user
  to save the change or close without saving

* Wed Oct 22 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.2-3
- -utils should not depend on kdelibs etc (#467984)

* Mon Sep 29 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.2-2
- make VERBOSE=1
- respin against new(er) kde-filesystem

* Fri Sep 26 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.2-1
- 4.1.2

* Wed Sep 24 2008 Than Ngo <than@redhat.com> 4.1.1-2
- show quit in the menu

* Fri Aug 29 2008 Than Ngo <than@redhat.com> 4.1.1-1
- 4.1.1

* Wed Jul 23 2008 Than Ngo <than@redhat.com> 4.1.0-1
- 4.1.0

* Wed Jul 23 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.99-2
- fix -utils dep issues

* Fri Jul 18 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.99-1
- 4.0.99

* Fri Jul 11 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.98-1
- 4.0.98

* Sun Jul 06 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.85-1
- 4.0.85

* Fri Jun 27 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.84-1
- 4.0.84

* Sat Jun 21 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.83-2
- drop upstreamed rh#433399 patch

* Thu Jun 19 2008 Than Ngo <than@redhat.com> 4.0.83-1
- 4.0.83 (beta2)

* Sun Jun 15 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.82-1
- 4.0.82

* Mon May 26 2008 Than Ngo <than@redhat.com> 4.0.80-1
- 4.1 beta1

* Fri May 16 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.72-2
- %%description: +kate

* Tue May 13 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.72-1
- update to 4.0.72
- Obsoletes/Provides kaider (now part of kdesdk, renamed to lokalize)
- add lokalize to description and file list
- add BR strigi-devel for lokalize
- add BR boost-devel (now needed by Umbrello)

* Fri Apr 18 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.3-5
- Requires: kdesdk-utils

* Fri Apr 18 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.3-4
- utils: po2xml, xml2pot (#432443)

* Thu Apr 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-3
- rebuild (again) for the fixed %%{_kde4_buildtype}

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-2
- rebuild for NDEBUG and _kde4_libexecdir

* Fri Mar 28 2008 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3

* Thu Feb 28 2008 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2

* Wed Feb 27 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-2
- kate appears in Applications -> Other (#433399)

* Thu Jan 31 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-1
- kde-4.0.1

* Tue Jan 08 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.0-1
- update to 4.0.0
- drop upstreamed fix-kompare patch
- update file list (no more katesessionmenu.desktop)

* Wed Dec 19 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-8
- update Kompare from SVN (rev 750443)

* Sun Dec 16 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-7
- don't look for libkompare*part.so in %%{_kde4_libdir}
- don't list D-Bus interfaces twice in file list
- build Kompare documentation

* Sun Dec 16 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-6
- update Kompare from SVN (rev 748928)
- Kompare now installs unversioned (private) shared libs, package them properly

* Wed Dec 12 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-5
- rebuild for changed _kde4_includedir

* Tue Dec 11 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-4
- build Kompare's static convenience libraries with -fPIC

* Mon Dec 10 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-3
- updated fix-kompare patch (rev 6)

* Mon Dec 10 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-2
- updated fix-kompare patch (rev 5)

* Sat Dec 08 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-1
- update to 3.97.0 (KDE 4.0 RC2)

* Fri Dec 07 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.96.2-3
- separate -libs subpackage
- remove X11 BRs which are now required by kdelibs-devel

* Thu Dec 06 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.96.2-2
- drop kbabel from description (not actually there)
- reenable kompare, fix its build and porting bugs (kde#153463)
- add missing BR subversion-devel, add files for kio_svn to list
- add missing BR binutils-devel (for libiberty), add files for kmtrace to list

* Fri Nov 30 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.2-1
- kde-3.96.2

* Sat Nov 24 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.1-1
- kde-3.96.1

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-2
- (Build)Require: kdebase-workspace(-devel) (for kate)
- re-enable kate
- BR: kde-filesystem >= 4

* Sun Nov 18 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-1
- Initial version for Fedora
